Subject: Re: ^J <=> ^M confusion with Pico (1.6, 2.0) on NeXTSTEP 2.1

From: David L Miller <[email-masked]>
Date: Fri, 1 Oct 1993 08:39:37 -0700 (PDT)

On Thu, 30 Sep 1993, Pekka Kytolaakso wrote:

> Your message dated: Thu, 30 Sep 1993 12:10:32 MST
> > On Thu, 30 Sep 1993 13:17:43 -0400 (EDT), Joseph Brennan wrote:
> > > Has someone got a fix for the Mac NCSA Telnet problem with ^J ?  It's been
> > > making us crazy here.  I actually modified Pico/Pine to avoid ^J as a
> > > command but that'll be annoying to do with each release.  If I can install
> > > a standard 3.85 I'd be happy.
> > 
> A way (hack :-) might be to add a configuration parameter (yes, one more)
> like 
> 
> # fill-command defines the control chacter used to fill paragraphs
> # the default value is 11 (^J), 0 means fill no in use 
> fill-command=
> 
A much better solution would be to provide a general keyboard remapping 
capability (and not much more work).

> The problems with this are
> 	- screen-menu shows ^J as fill (runtime change)
> 	- help file has wrong key (must edit help-file)
> 
> Neither of these are serious because when a user changes this he should
> now what the fill command is.
> 
> I just looked and found a problem with this. There are few free keys. I
> think ^W and ^] are about the only unused ones. A way around this would me to
> make some key (like ^X) a prefix-key and make some seldom-used
> functions two-key commands. I can suggest several like spell (^X^S),
> read (^X^R), postpone (^X^P), send (^X^C),... . If pressing the prefix
> (^X) changes the menu at the bottom of the screen tit isn't much harder
> to use that pine/pico now are (and most people need to know emacs anyway).
> 
^W is search, ^] is frequently a telnet escape.  One of the fundamental 
principles of Pine is to not have any multi-key sequences.  This leaves 
us with very few keys left indeed :(

> Pekka Kytölaakso
> ---------------------------------------------------------------
> [email-masked]     Centre for Scientific Computing
> [email-masked]  PL 40   SF-02101 Espoo FINLAND
> Phone: +358 0 4571       Telefax: + 358 0 4572302